%
% DESCRIPTION: Program to create the 1D velocity model GDF file in the Matlab format.
% 
% [TimeZone] and [Description] have text format so the values give in ''


clear;clc;
[FormatName] = 'GDF';
[FormatVersion] = 2.1;
[CRS] = 'n/a'%['EPSG:' num2str(input('[CRS] EPSG code (just number) = '))];
[TimeZone] = 'n/a' %input('TimeZone (char) = ');
[Description] = 'Description of the dataset' %input('Description of data (char) = ');
         
[FieldDescription] = {
    'Depth','Depth'
    'Vp','Velocity of P wave'
    'Vs','Velocity of S wave'
    };
[FieldType] = {
    'Depth',34
    'Vp',14
    'Vs',14
    };
[FieldUnit] = {
    'Depth','km'
    'Vp','km/s'
    'Vs','km/s'
    };
[d] = struct();

d.Depth = [0
0.5
0.5
1.5
1.5
2.5];

d.Vp = [3
3.7
3.7
4
4
4.4];

d.Vs = [1.73
2.14
2.14
2.31
2.31
2.54];



save('GDF_EpisodeName_1D_velocity_model_example.mat')